<br>
<br>
<br>
<mat-tab-group backgroundColor="primary">
  <mat-tab label="all users">
    <div class="panel panel-primary">
      <div class="panel-heading">
        <h2>users List</h2>
      </div>
      <div class="panel-body">
        <table class="table table-striped">
          <thead>
          <tr>
            <th>name</th>
            <th>Email</th>
            <th>is admin</th>
            <th>actions</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let user of users |async  ">
            <td>{{user.userName}}</td>
            <td>{{user.email}}</td>
            <td>{{user.admin}}</td>
            <td>
              <button (click)="deleteUser(user.userName)" class="btn btn-danger">Delete</button>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </mat-tab>
  <mat-tab label="all Drugs">
    <div class="panel panel-primary">
      <div class="panel-heading">
        <h2>drugs List</h2>
      </div>
      <div class="panel-body">
        <table class="table table-striped">
          <thead>
          <tr>
            <th>drug</th>
            <th>quantity</th>
            <th>price</th>
            <th>Actions</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let drug of drugs |async  ">
            <td>{{drug.drugName}}</td>
            <td>{{drug.quantity}}</td>
            <td>{{drug.price}}0JD</td>
            <td>
              <button (click)="deleteDrug(drug.drugName)" class="btn btn-danger">Delete</button>
              <button (click)="drugDetail(drug.drugName)" class="btn btn-info">Update</button>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </mat-tab>
  <mat-tab label="add drug">
    <form ngForm (ngSubmit)="onCreateSubmit()" name="addDrugForm">
      <div class="form-group">
        <label for="name">drug name</label>
        <input type="text" class="form-control" id="name"
               [(ngModel)]="drug.drugName" name="name" #name="ngModel">
      </div>
      <div class="form-group">
        <label for="price">drug price</label>
        <input type="text" class="form-control" id="price" required [(ngModel)]="drug.price"
               name="price" #price="ngModel">
      </div>
      <div class="form-group">
        <label for="quantity">quantity </label>
        <input type="text" class="form-control" id="quantity" required [(ngModel)]="drug.quantity"
               name="quantity" #quantity="ngModel">
      </div>
      <button type="submit" class="btn btn-primary">add</button>
    </form>
  </mat-tab>
</mat-tab-group>

